/*******************************************************************************
* File Name: INT0_level0.h
* Version 1.60
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/
#if !defined(__INT0_level0_INTC_H__)
#define __INT0_level0_INTC_H__


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void INT0_level0_Start(void);
void INT0_level0_StartEx(cyisraddress address);
void INT0_level0_Stop(void) ;

CY_ISR_PROTO(INT0_level0_Interrupt);

void INT0_level0_SetVector(cyisraddress address) ;
cyisraddress INT0_level0_GetVector(void) ;

void INT0_level0_SetPriority(uint8 priority) ;
uint8 INT0_level0_GetPriority(void) ;

void INT0_level0_Enable(void) ;
uint8 INT0_level0_GetState(void) ;
void INT0_level0_Disable(void) ;

void INT0_level0_SetPending(void) ;
void INT0_level0_ClearPending(void) ;


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the INT0_level0 ISR. */
#define INT0_level0_INTC_VECTOR            ((reg32 *) INT0_level0__INTC_VECT)

/* Address of the INT0_level0 ISR priority. */
#define INT0_level0_INTC_PRIOR             ((reg8 *) INT0_level0__INTC_PRIOR_REG)

/* Priority of the INT0_level0 interrupt. */
#define INT0_level0_INTC_PRIOR_NUMBER      INT0_level0__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable INT0_level0 interrupt. */
#define INT0_level0_INTC_SET_EN            ((reg32 *) INT0_level0__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the INT0_level0 interrupt. */
#define INT0_level0_INTC_CLR_EN            ((reg32 *) INT0_level0__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the INT0_level0 interrupt state to pending. */
#define INT0_level0_INTC_SET_PD            ((reg32 *) INT0_level0__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the INT0_level0 interrupt. */
#define INT0_level0_INTC_CLR_PD            ((reg32 *) INT0_level0__INTC_CLR_PD_REG)



/* __INT0_level0_INTC_H__ */
#endif
